package com.tibco.accelerators.operators.patterns;

import java.beans.*;

import com.streambase.sb.operator.parameter.*;

public class PatternsOperatorBeanInfo extends SBSimpleBeanInfo {

	/*
	* The order of properties below determines the order they are displayed within
	* the StreamBase Studio property view. 
	*/
	public SBPropertyDescriptor[] getPropertyDescriptorsChecked() throws IntrospectionException {
		SBPropertyDescriptor[] p = {
				
				/*new JavaEnumPropertyDescriptor<PatternsOperator.ConnectionTypeEnum>("connectionType",
						PatternsOperator.class, PatternsOperator.ConnectionTypeEnum.class)
								.displayName("Connection Type").description(""),*/
				
				// Default
				new EnumPropertyDescriptor("connectionType", PatternsOperator.class,
						new String[] { "Embedded", "Server"})	
						.displayName("Connection Type").description(""),
										
				new SBPropertyDescriptor("consoleLogFilename", PatternsOperator.class)
						.displayName("Console Log Filename").description("").optional(),
				
				new SBPropertyDescriptor("maxTableMemory", PatternsOperator.class).displayName("Max Table Memory")
						.description(""),
				
				new SBPropertyDescriptor("embeddedLibPath", PatternsOperator.class).displayName("Embedded Library Path")
						.description(""),
				
				new SBPropertyDescriptor("hostMachine", PatternsOperator.class).displayName("Host Machine")
						.description(""),
				
				new SBPropertyDescriptor("hostPort", PatternsOperator.class).displayName("Host Port").description(""),
				
				new EnumPropertyDescriptor("connectionPooling", PatternsOperator.class,
						new String[] { "common", "local", "none"})	
						.displayName("Connection Pooling").description(""),
						
				new SBPropertyDescriptor("statusPort", PatternsOperator.class).displayName("Enable Status Port").description("").optional(),
				
				// Table
				new SBPropertyDescriptor("tableName", PatternsOperator.class).displayName("Table Name")
					.description("").setUIHints(UIHints.create().setTab("Table")),
	
				new SBPropertyDescriptor("hasAttributes", PatternsOperator.class).displayName("Has Attributes")
					.description("").setUIHints(UIHints.create().setTab("Table")),
	
				new SBPropertyDescriptor("tableSchema", PatternsOperator.class).displayName("Table Schema")
					.description("").setUIHints(UIHints.create().setTab("Table")),
					
				new SBPropertyDescriptor("useAbsoluteCutoff", PatternsOperator.class).displayName("Use Absolute Cutoff")
					.description("").setUIHints(UIHints.create().setTab("Search")),
		
			};
		return p;
	}

}
